# Uses of Class
it.tdlight.jni.TdApi.UserType

## Uses of TdApi.UserType in it.tdlight.jni

Subclasses of TdApi.UserType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.UserTypeBot`
A bot (see https://core.telegram.org/bots).
`static final class`
`TdApi.UserTypeDeleted`
A deleted user or deleted bot.
`static final class`
`TdApi.UserTypeRegular`
A regular user.
`static final class`
`TdApi.UserTypeUnknown`
No information on the user besides the user identifier is available, yet this user has not been deleted.
Fields in it.tdlight.jni declared as TdApi.UserType
Modifier and Type
Field
Description
`TdApi.UserType`
TdApi.User.`type`
Type of the user.
Constructors in it.tdlight.jni with parameters of type TdApi.UserType
Modifier
Constructor
Description
``
`User(long id, String firstName, String lastName, TdApi.Usernames usernames, String phoneNumber, TdApi.UserStatus status, TdApi.ProfilePhoto profilePhoto, int accentColorId, long backgroundCustomEmojiId, int profileAccentColorId, long profileBackgroundCustomEmojiId, TdApi.EmojiStatus emojiStatus, boolean isContact, boolean isMutualContact, boolean isCloseFriend, boolean isVerified, boolean isPremium, boolean isSupport, String restrictionReason, boolean isScam, boolean isFake, boolean hasActiveStories, boolean hasUnreadActiveStories, boolean restrictsNewChats, boolean haveAccess, TdApi.UserType type, String languageCode, boolean addedToAttachmentMenu)`
Represents a user.